

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui" template="/templatefront/template.xhtml">
	<ui:param name="page_name" value="Accueil" ></ui:param>
	<ui:define name="content">
	<section class="banner-bottom-wthree py-lg-5 py-md-5 py-3">
        <div class="container">
            <div class="inner-sec-w3ls py-lg-5  py-3">
                <h3 class="tittle text-center mb-lg-4 mb-3">
                    <span>Some Info</span>How It works</h3>
                <div class="row choose-main mt-5">
                    <div class="col-lg-6 work-grid-right">
                        <div class="work-info">
                            <h5>
                                <span class="post-color">Step : 1</span>
                            </h5>
                            <h4 class="post my-3">Register an account</h4>
                        </div>
                    </div>
                    <div class="col-lg-6 work-grid-left">
                        <img src="images/g1.jpg" alt="" class="img-fluid"/>
                    </div>
                </div>
                <div class="row my-5">

                    <div class="col-lg-6 work-grid-left">
                        <img src="images/g7.jpg" alt="" class="img-fluid"/>
                    </div>
                    <div class="col-lg-6 work-grid-right">
                        <div class="work-info">
                            <h5>
                                <span class="post-color">Step : 2</span>
                            </h5>
                            <h4 class="post my-3">Specify And Search Your Job</h4>
                        </div>
                    </div>
                </div>
                <div class="row mt-5">
                    <div class="col-lg-6 work-grid-right">
                        <div class="work-info">
                            <h5>
                                <span class="post-color">Step : 3</span>
                            </h5>
                            <h4 class="post my-3">Apply For Job</h4>
                        </div>
                    </div>
                    <div class="col-lg-6 work-grid-left">
                        <img src="images/g3.jpg" alt="" class="img-fluid"/>
                    </div>
                </div>
            </div>
        </div>
    </section>
	<h1>List Offers</h1>
	<div class="widget_search">
                            <h3 class="j-b mb-3">Search</h3>
                            <div class="widget-content">
                           <h:form>     
                                    <div class="form-group">
                                        <label class="mb-2">I'm looking for a ...</label>


									<h:selectManyListbox id="select_many_box" class="row form-control jb_1" value="#{amineBean.selectNames}"> 
									   <f:selectItem itemValue = "Job" itemLabel = "Job" /> 
									   <f:selectItem itemValue = "internship" itemLabel = "internship" /> 
								  		<f:selectItem itemValue = "end of studies internship" itemLabel = "end of studies internship" /> 
									   
									</h:selectManyListbox>                                         
                                    </div>
                                    <div class="form-group">
                                        <label class="mb-2">in</label>
										<h:inputText class="form-control jb_2" placeholder="Location" value="#{amineBean.location}"></h:inputText>
                                    </div>
                                    
                                    <div class="col-md-1 emp_btn text-right">
                                 <h:commandLink action="#{amineBean.Search()}" value="Recherche"/> 
                            </div>
                                </h:form>
                            </div>
                        </div>
                        	 	 <h:form>
                        
	 <ui:repeat var="ente" value="#{amineBean.rechercheOffer}"> 
	 
	<div class="emply-resume-list row mb-3">
                            <div class="col-md-9 emply-info">
                                <div class="emply-img">
                                    <img src="images/images.jpg" alt="" class="img-fluid"/>
                                </div>
                                <div class="emply-resume-info">
                                    <h4><a href="candidates_single.html">
                                                                          <h:outputText value=" #{ente.titleOffer} " />
</a></h4>
                                    <h5 class="mt-2"><span>Web Developer </span> at Company Name</h5>
                                    <p><i class="fas fa-map-marker-alt"></i> Istanbul / Turkey</p>
                                    
                                    <ul class="links_bottom_emp mt-2">
                                        <li><a href="candidates_single.html"><i class="far fa-envelope"></i> <span class="icon_text"> Email this Job</span></a></li>
                                        <li><a href="#"><i class="fas fa-eye"></i> <span class="icon_text">View full Job Description</span></a></li>
                                    </ul>
                                </div>
                                <div class="clearfix"></div>
                            </div>
                            <div class="col-md-2 emp_btn text-right">
                                 <h:commandLink  value="#{amineBean.Match(ente)}%"/> 
                            </div>
                            <div class="col-md-1 emp_btn text-right">
                                 <h:commandLink action="#{amineBean.Postuler(ente)}" value="Postuler"/> 
                            </div>
                            
                        </div>
                        </ui:repeat>
	
	</h:form>
	</ui:define>
	
</ui:composition>

